- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QStackedWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qstackedwidget.h.

`#include <qstackedwidget.h>`

Inheritance diagram for QStackedWidget:
[legend]

List of all members.

## Public Slots
void | setCurrentIndex (int index)
void | setCurrentWidget (QWidget *w)
## Signals
void | currentChanged (int)
void | widgetRemoved (int index)
## Public Member Functions
| QStackedWidget (QWidget *parent=0)
| ~QStackedWidget ()
int | addWidget (QWidget *w)
int | insertWidget (int index, QWidget *w)
void | removeWidget (QWidget *w)
QWidget * | currentWidget () const
int | currentIndex () const
int | indexOf (QWidget *) const
QWidget * | widget (int) const
int | count () const
## Protected Member Functions
bool | event (QEvent *e)
## Properties
int | currentIndex
int | count

## Constructor & Destructor Documentation

QStackedWidget | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QStackedWidget | ( |  | ) |

## Member Function Documentation

int addWidget | ( | QWidget * | w | ) |

Search for all occurrences

int insertWidget | ( | int | index,
|  | QWidget * | w
| ) |  |

Search for all occurrences

void removeWidget | ( | QWidget * | w | ) |

Search for all occurrences

QWidget* currentWidget | ( |  | ) | const

Search for all occurrences

int currentIndex | ( |  | ) | const

Search for all occurrences

int indexOf | ( | QWidget * |  | ) | const

Search for all occurrences

QWidget* widget | ( | int |  | ) | const

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

void setCurrentIndex | ( | int | index | ) | `[slot]`

Search for all occurrences

void setCurrentWidget | ( | QWidget * | w | ) | `[slot]`

Search for all occurrences

void currentChanged | ( | int |  | ) | `[signal]`

Search for all occurrences

void widgetRemoved | ( | int | index | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

## Property Documentation

int currentIndex `[read, write]`

Search for all occurrences

Definition at line 61 of file qstackedwidget.h.

int count `[read]`

Search for all occurrences

Definition at line 62 of file qstackedwidget.h.

The documentation for this class was generated from the following file:

- QtGui/qstackedwidget.h

QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget
QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget QStackedWidget